package examples.hello; 

import java.applet.Applet; 
import java.awt.Graphics; 
import java.rmi.Naming; 
import java.rmi.RemoteException; 

public class HelloApplet extends Applet { 

    String message = "blank"; 
  
    // "obj" jest identyfikatorem używanym do odwołania się 
    // do zdalnego obiektu, który implementuje interfejs 
    // "Hello". 
    Hello obj = null; 

    public void init() { 
	try { 
	    obj = (Hello)Naming.lookup("//" + 
			 getCodeBase().getHost() + "/HelloServer"); 
	    message = obj.sayHello(); 
	} catch (Exception e) { 
	    System.out.println("Wyjątek HelloApplet: " + 
				    e.getMessage()); 
	    e.printStackTrace(); 
	} 
    } 

    public void paint(Graphics g) { 
	g.drawString(message, 25, 50); 
    } 
}
